Page MenuHomePhabricator

Don’t check constraints on “Wikidata property example” statements
Closed, ResolvedPublic

Description

The “Wikidata property example” property twists the data model around so much that it almost always results in some kind of constraint violation. Let’s just hard-code that one property to skip constraint checks on it and be done with it. There’s no need to configure this via any “exception to constraint” mechanism or the like on Wikidata.

(Where “hard-code” means a config variable, of course, not literal hard-coding. And we might as well make it an array instead of a single property ID. But that’s just details.)

Patch-For-Review:

Event Timeline

Lucas_Werkmeister_WMDE triaged this task as Normal priority.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 19 2017, 4:13 PM

Actually, Wikidata property example for properties should probably get the same treatment, so it should definitely be an array, not a single value :)

Problem: there are actually constraints defined on those properties, and they’re sensible. Should we only skip constraints on qualifiers (and references?) of those properties?

Change 399824 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Skip constraint checks for qualifiers of certain properties

https://gerrit.wikimedia.org/r/399824

Change 399825 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[operations/mediawiki-config@master] Don’t check constraints on example properties

https://gerrit.wikimedia.org/r/399825

Change 399824 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Skip constraint checks for qualifiers of certain properties

https://gerrit.wikimedia.org/r/399824

Change 399825 merged by jenkins-bot:
[operations/mediawiki-config@master] Don’t check constraints on example properties

https://gerrit.wikimedia.org/r/399825

Mentioned in SAL (#wikimedia-operations) [2018-01-08T14:16:23Z] <hashar@tin> Synchronized wmf-config/Wikibase-production.php: Don’t check constraints on example properties - T183267 (duration: 00m 51s)

Lucas_Werkmeister_WMDE closed this task as Resolved.Jan 8 2018, 2:17 PM
Lucas_Werkmeister_WMDE moved this task from Review to Done on the Wikidata-Sprint-2018-01-03 board.

And it’s live, hooray!